<?php
namespace Affilicious_Theme\Design\Migration;

if(!defined('ABSPATH')) {
    exit('Not allowed to access pages directly.');
}

class Options_Migration
{
    /**
     * Migrate the old options to the theme customizer.
     *
     * @hook init
     * @since 0.8
     */
    public function migrate()
    {
        $migrated = get_option('affilicious_theme_migrated_options');
        if(!empty($migrated)) {
            return;
        }

        $facebook_link = get_option('affilicious_theme_options_design_container_social_media_tab_facebook_link_field');
        if(!empty($facebook_link)) {
            set_theme_mod('afft-footer-plinth-facebook-link', $facebook_link);
            delete_option('affilicious_theme_options_design_container_social_media_tab_facebook_link_field');
        }

        $twitter_link = get_option('affilicious_theme_options_design_container_social_media_tab_twitter_link_field');
        if(!empty($twitter_link)) {
            set_theme_mod('afft-footer-plinth-twitter-link', $twitter_link);
            delete_option('affilicious_theme_options_design_container_social_media_tab_twitter_link_field');
        }

        $google_plus_link = get_option('affilicious_theme_options_design_container_social_media_tab_google_plus_link_field');
        if(!empty($google_plus_link)) {
            set_theme_mod('afft-footer-plinth-google-plus-link', $google_plus_link);
            delete_option('affilicious_theme_options_design_container_social_media_tab_google_plus_link_field');
        }

        $pinterest_link = get_option('affilicious_theme_options_design_container_social_media_tab_pinterest_link_field');
        if(!empty($pinterest_link)) {
            set_theme_mod('afft-footer-plinth-pinterest-link', $pinterest_link);
            delete_option('affilicious_theme_options_design_container_social_media_tab_pinterest_link_field');
        }

        $reddit_link = get_option('affilicious_theme_options_design_container_social_media_tab_reddit_link_field');
        if(!empty($reddit_link)) {
            set_theme_mod('afft-footer-plinth-reddit-link', $reddit_link);
            delete_option('affilicious_theme_options_design_container_social_media_tab_reddit_link_field');
        }

        $hide_footer_content = get_option('affilicious_theme_options_design_container_footer_tab_hide_content_area_field');
        if($hide_footer_content == 'yes') {
            set_theme_mod('afft-content-button-buy-hidden', 1);
            delete_option('affilicious_theme_options_design_container_footer_tab_hide_content_area_field');
        }

        $buy_button_hidden = get_option('affilicious_theme_options_design_container_product_tab_hide_buy_button_field');
        if($buy_button_hidden == 'yes') {
            set_theme_mod('afft-content-button-buy-hidden', 1);
            delete_option('affilicious_theme_options_design_container_product_tab_hide_buy_button_field');
        }

        $review_button_hidden = get_option('affilicious_theme_options_design_container_product_tab_hide_test_review_button_field');
        if($review_button_hidden == 'yes') {
            set_theme_mod('afft-content-button-review-hidden', 1);
            delete_option('affilicious_theme_options_design_container_product_tab_hide_test_review_button_field');
        }

        add_option('affilicious_theme_migrated_options', 1);
    }
}
